Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.io
Interface ElementModifier

public interface ElementModifier

ElementModifier defines a modifier of `Element`objects.
It can be used in the event based `SAXModifier`, in order to modify elements on the fly, rather than waiting until the complete document is parsed.

Author:
  Wonne Keysers (Realsoftware.be)

Method Summary
`Element` | `modifyElement(Element element)` Called by an event based processor when an elements closing tag is encountered.

Method Detail

### modifyElement

    public Element modifyElement(Element element)
                          throws Exception

  Called by an event based processor when an elements closing tag is encountered. This method must return the modified version of the provided `Element`or null if it has to be removed from the document.
  The incoming `Element`is disconnected from the DOM4J tree. This means that navigation to the elements parent `Element` and `Document`are not available. Only the element itself can be modified!

  Parameters:
    `element` - `Element`to be parsed
  Returns:
    the modified `Element`
  Throws:
    `Exception` - of any kind

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.